# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionParamiko

Module implementing a check for shell injection within Paramiko.

### Global Attributes

None

### Classes

None

### Functions

checkParamikoCalls | Function to check for shell injection within Paramiko.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkParamikoCalls

checkParamikoCalls(reportError, context, config)

Function to check for shell injection within Paramiko.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up